<?xml version="1.0" ?>
<launch>

  <arg name="threshold" default="150"/>

  <arg name="ROBOT" default="ual_2"/>

<!--  <node ns="$(arg ROBOT)" name="usb_cam" pkg ="usb_cam" type="usb_cam_node" respawn="false" output="screen">
    <param name="video_device"    type="string" value="/dev/video0"/>
    <param name="camera_frame_id" type="string" value="/$(arg ROBOT)/optical_frame"/>
    <param name="camera_name"     type="string" value="usb_cam"/>
    <param name="io_method"       type="string" value="mmap"/>
    <param name="image_width"     type="int"    value="1280"/>
-->   <!-- <param name="image_height"    type="int"    value="960"/>-->
<!--    <param name="image_height"    type="int"    value="720"/>
    <param name="pixel_format"    type="string" value="yuyv"/>
    <param name="framerate"       type="int"    value="20"/>
    <param name="camera_info_url" type="string" value="file://$(find ar_pose)/data/calib/usb_cam_catec.yaml" /> 
    <remap from="/$(arg ROBOT)/usb_cam/camera_info" to="/$(arg ROBOT)/camera/camera_info"/> 
    <remap from="/$(arg ROBOT)/usb_cam/image_raw" to="/$(arg ROBOT)/camera/image_raw"/>
  </node> 
-->

  <node ns="$(arg ROBOT)" pkg="nodelet" type="nodelet" name="nodelet_manager"  args="manager" output="screen"/>

  <!-- debayer -->
  <node ns="$(arg ROBOT)" pkg ="nodelet" type="nodelet" name="image_proc_debayer" args="load image_proc/debayer nodelet_manager" output="screen">
    <remap from="image_raw" to="/$(arg ROBOT)/camera/image_raw"/>
    <remap from="camera_info" to="/$(arg ROBOT)/camera/camera_info"/>
    <remap from="image_mono" to="/$(arg ROBOT)/camera/image_mono"/>
    <remap from="image_color" to="/$(arg ROBOT)/camera/image_color"/>
  </node>

  <!-- rect -->
  <node ns="$(arg ROBOT)" pkg ="nodelet" type="nodelet" name="image_proc_rect" args="load image_proc/rectify nodelet_manager" output="screen">
    <remap from="image_mono" to="/$(arg ROBOT)/camera/image_color"/>
    <remap from="camera_info" to="/$(arg ROBOT)/camera/camera_info"/>
    <remap from="image_rect" to="/$(arg ROBOT)/camera/image_rect"/>
  </node>

  <!-- local_th -->
<!--  <node ns="$(arg ROBOT)" pkg ="nodelet" type="nodelet" name="local_th" args="load iri_image_local_binarization/ImageLocalBinNodelet nodelet_manager" output="screen">
    <param name="window_size" type="int" value="7"/>
    <param name="k" type="double" value="0.1"/>
    <remap from="~image_in/camera_info" to="/$(arg ROBOT)/camera/camera_info"/>
    <remap from="~image_in/image_raw" to="/$(arg ROBOT)/camera/image_rect"/>
    <remap from="~image_out/camera_info" to="/$(arg ROBOT)/lth/camera/camera_info"/>
    <remap from="~image_out/image_raw" to="/$(arg ROBOT)/lth/camera/image"/>
  </node>
-->

  <node ns="$(arg ROBOT)" pkg ="nodelet" type="nodelet" name="ar_pose_nodelet" args="load ar_pose/ARMultiPublisherNodelet nodelet_manager" output="screen">
    <param name="marker_pattern_list" type="string" value="$(find ar_pose)/data/arcas_oct15_004x004"/>
    <param name="threshold" type="int" value="$(arg threshold)"/>
    <param name="use_history" type="bool" value="true"/>
    <param name="publish_image" type="bool" value="true"/>
    <param name="publish_tf" type="bool" value="false"/>
    <param name="camera_frame" type="string" value="/$(arg ROBOT)/optical_frame"/>
    <param name="cont_model_path" type="string" value="$(find ar_pose)/data/cont_models/cont_004x004"/>
    <param name="out_buff_size" type="int" value="2" />
    <param name="namespace"    value="$(arg ROBOT)/markers/"/>
    <remap from="/$(arg ROBOT)/contours" to="/$(arg ROBOT)/bar_pose_small/contours"/>
<!--
    <remap from="/camera/camera_info" to="/$(arg ROBOT)/lth/camera/camera_info"/>
    <remap from="/camera/image_raw" to="/$(arg ROBOT)/lth/camera/image"/>
-->

    <remap from="/camera/camera_info" to="/$(arg ROBOT)/camera/camera_info"/>
    <remap from="/camera/image_raw" to="/$(arg ROBOT)/camera/image_rect"/>     

<!--
    <remap from="/camera/camera_info" to="/$(arg ROBOT)/camera/camera_info"/>
    <remap from="/camera/image_raw" to="/$(arg ROBOT)/camera/image_raw"/> 
-->
  </node>

</launch>
